# $Revision: 1.43 $, $Date: 2007/01/23 15:47:01 $
%define	mod_name	auth_ldap
%define apxs	/usr/sbin/apxs1
Summary:	This is a LDAP authentication module for Apache
Summary(cs):	Autentizan modul LDAP pro WWW server Apache
Summary(da):	En LDAP-autenticeringsmodul for Apache
Summary(de):	Ein LDAP Authentifizierungsmodul fr Apache
Summary(es):	Este mdulo proporciona autenticacin LDAP para Apache
Summary(fr):	Module d'authentification LDAP pour Apache
Summary(id):	Module LDAP authentication untuk Apache
Summary(it):	Modulo di autenticazione LDPA per Apache
Summary(ja):	Apache Ѥ LDAP ǧڥ⥸塼
Summary(nb):	En LDAP-autentiseringsmodul for Apache
Summary(pl):	Modu uwierzytelnienia LDAP dla Apache
Summary(pt):	Um mdulo de autenticao de LDAP para o Apache
Summary(pt_BR):	Este mdulo prov autenticao LDAP para o Apache
Summary(ru):	  LDAP   Apache
Summary(sl):	Avtentikacijski modul LDAP za Apache
Summary(sv):	En LDAP autentiseringsmodul fr Apache
Summary(zh_CN):	 Apache  LDAP ֤ģ
Name:		apache1-mod_%{mod_name}
Version:	1.6.0
Release:	4
License:	BSD
Group:		Networking/Daemons
Source0:	http://www.rudedog.org/auth_ldap/auth_ldap-%{version}.tar.gz
# Source0-md5:	ff7de9027fe8852facd27be93462c5cc
Patch0:		%{name}-makefile.patch
URL:		http://www.rudedog.org/auth_ldap/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	autoconf
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Requires:	apache1-mod_auth
Obsoletes:	apache-mod_auth_ldap <= 1.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using user entries in an LDAP directory.

%description -l cs
Balek obsahuje autentizan modul pro WWW server Apache, kter
umouje autentizovat HTTP klienty proti polokm v adresov slub
LDAP.

%description -l da
Denne pakke indeholder en autenticeringsmodul for webtjeneren Apache -
med auth_ldap installeret kan HTTP-klienter autenticeres mod
brugerinformation i et LDAP-katalog.

%description -l de
Dieses Paket enthlt ein Authentifizierungs-Modul fr den Apache
Webserver, das Ihnen ermglicht, HTTP-Clients mit Hilfe von
Benutzereintrgen in einem LDAP-Verzeichniss zu authentifizieren.

%description -l es
Este paquete contiene un mdulo de autenticacin para el servidor
Apache web que le permite autenticar clientes HTTP usando entradas de
usuario en un directorio LDAP.

%description -l fr
Ce paquetage contient un module d'authentification pour le serveur Web
Apache, qui vous permet d'authentifier les clients HTTP en utilisant
les entres utilisateur dans un rpertoire LDAP.

%description -l id
Ini adalah authentication module untuk Apache yang memungkinkan anda
melakukan otentikasi HTTP client menggunakan user entry di dalam LADP
directory.

%description -l it
Questo pacchetto contiene un modulo di autenticazione per il Web
server Apache che consente di autenticare i client HTTP tramite gli
inserimenti utente in una directory LDPA.

%description -l ja
Υѥåˤ Apache Web С LDAP ǥ쥯ȥΥ桼
ȥȤä HTTP 饤Ȥǧڤǽˤ뤿ǧ
⥸塼뤬ޤޤƤޤ

%description -l nb
Denne pakken inneholder en autentiseringsmodul for webtjeneren Apache
- med auth_ldap installert kan HTTP-klienter autentiseres mot
  brukerinformasjon i en LDAP-katalog.

%description -l pl
W pakiecie znajduje si modu do Apache, ktry pozwala na
uwierzytelnianie klientw HTTP przy uyciu LDAP.

%description -l pt
Este pacote contm um mdulo de autenticao para o servidor Web
Apache que lhe permite autenticar os clientes HTTP usando registos de
utilizadores numa directoria LDAP.

%description -l pt_BR
Este mdulo permite que voc autentique clientes HTTP usando o
diretrio LDAP.

%description -l ru
    Apache,  
HTTP-       LDAP.

%description -l sv
Detta paket innehller en autenticeringsmodul fr webbservern Apache
som lter dig autenticera HTTP-klienter med anvnderposter i en
LDAP-katalog.

%description -l zh_CN
 Apache ֤ģ飬ʹ LDAP Ŀ¼еû֤ HTTP
ͻ

%prep
%setup -q -n auth_ldap-%{version}
%patch0 -p1
mv -f auth_ldap.c mod_auth_ldap.c

%build
%{__autoconf}
%configure \
	--with-apxs=%{apxs} \
	--with-ldap-sdk=openldap \
	--without-ssl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1.6.0-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc *.html PROBLEMS
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/mod_auth_ldap.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_auth_ldap.spec,v $
Revision 1.43  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.42  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.41  2006/04/14 16:50:13  glen
- use %service

Revision 1.40  2006/01/17 15:07:31  baggins
- release 3
- BR openldap 2.3

Revision 1.39  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.38  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.37  2005/02/15 12:00:01  glen
- rel 2; STBR

Revision 1.36  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.35  2004/08/29 19:00:45  radek
- mv apache{,1}-*; release 1

Revision 1.34  2004/02/28 22:21:42  qboosh
- s/autentykacja/uwierzytelnienie/ (and other forms)

Revision 1.33  2004/02/16 17:27:48  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.32  2003/08/06 16:10:43  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.31  2003/07/08 13:02:54  qboosh
- more specific Requires

Revision 1.30  2003/07/07 03:10:37  blues
- some small changes, inpired by kloczek

Revision 1.29  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.28  2003/05/25 05:45:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.26  2002/06/30 10:33:50  kloczek
- release 8: use new %doc.

Revision 1.25  2002/05/21 23:12:41  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/04/25 15:45:17  arturs
- fixed a small typo

Revision 1.23  2002/04/23 12:48:37  kloczek
- release 7.

Revision 1.22  2002/04/23 09:04:54  arturs
- License field change

Revision 1.21  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/19 15:22:38  qboosh
- Prereq: apache-mod_auth

Revision 1.19  2002/02/19 13:14:21  qboosh
- fixed internal module name (s/auth_ldap/mod_auth_ldap/), it is usable now
- release 6, STBR

Revision 1.18  2002/02/17 21:03:58  ankry
- release 5

Revision 1.17  2002/02/17 19:01:42  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.16  2002/02/17 04:55:57  kloczek
- release 4.

Revision 1.15  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.14  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/07 16:39:50  kloczek
- release 3.

Revision 1.12  2001/11/07 16:02:29  qboosh
- restart apache in post/preun

Revision 1.11  2001/10/23 12:10:25  kloczek
- release 2.

Revision 1.10  2001/10/11 11:52:23  qboosh
- BuildRequires: autoconf

Revision 1.9  2001/08/10 19:24:51  kloczek
- "Prereq: apache(EAPI)" and "BuildRequires: apache(EAPI)-devel",
- spec adapterized.

Revision 1.8  2001/08/10 19:19:41  blues
- axps in pre and post

Revision 1.7  2001/08/10 19:11:33  blues
- 1.6.0
- some translations (i.e. pl)
- makefile.patch - add DESTDIR support and change library name.

Revision 1.6  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.5  2000/06/09 07:54:39  kloczek
- more %{__make} macros.

Revision 1.4  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.3  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.2  2000/05/11 21:46:27  kloczek
- adapterized and partialy rewrited.
